%define qtmajor 5
%define qtminor 9
%define qtsubminor 0
%define rel 5

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define qttarballdir qtwebkit-examples-opensource-src-%{qtversion}

Name: qtwebkit5-examples-and-demos
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt%qtmajor QtWebKit Examples and Demos
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL: https://www.qt.io
Source0: https://download.qt.io/community_releases/%{qtmajor}.%{qtminor}/%{version}-final/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: pkgconfig(Qt5WebKit)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5XmlPatterns)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(gstreamer-video-1.0)
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(sqlite3)

#Branch Patchs

#Trunk Patchs

#Patch from Mageia
Patch0: qtwebkit5-examples-and-demos-5.9.0-fix-build-against-qt-5.12.patch
Patch1: qtwebkit5-examples-and-demos-5.9.0-fix-build-against-qt-5.15.patch

%description
Examples and demos for QtWebkit5.

#------------------------------------------------------------------------------

%package -n qtwebkit5-examples
Summary: Examples for QtWebkit5
Group:   Documentation

%description -n qtwebkit5-examples
Examples for QtWebkit5.

%files -n qtwebkit5-examples
%_qt5_examplesdir/webkitqml
%_qt5_examplesdir/webkitwidgets

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir
%autopatch -p1

%build
%qmake_qt5

%make_build

%install
%qmakeinstall_std


%changelog
* Fri Nov 27 2020 tmb <tmb> 5.9.0-5.mga8
+ Revision: 1649796
- rebuild for missing signatures

* Sat Nov 21 2020 daviddavid <daviddavid> 5.9.0-4.mga8
+ Revision: 1648071
- add patch to fix build with Qt 5.15

* Sat Feb 15 2020 umeabot <umeabot> 5.9.0-3.mga8
+ Revision: 1525018
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 umeabot <umeabot> 5.9.0-2.mga7
+ Revision: 1384608
- Qt5 Rebuild

* Mon Jan 28 2019 daviddavid <daviddavid> 5.9.0-1.mga7
+ Revision: 1361566
- New version 5.9.0
- add patch to fix build against Qt5 >= 5.12

* Sun Sep 23 2018 umeabot <umeabot> 5.5.1-5.mga7
+ Revision: 1300739
- Mageia 7 Mass Rebuild

* Fri Jul 08 2016 daviddavid <daviddavid> 5.5.1-4.mga6
+ Revision: 1039868
- add patch to fix build against Qt 5.6.1

* Tue Feb 16 2016 umeabot <umeabot> 5.5.1-3.mga6
+ Revision: 962567
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 895675
- Use GStreamer 1.0
- New version 5.5.1

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853393
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 802020
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 742121
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 688567
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639795
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624047
- 5.3.0

* Sat Oct 19 2013 umeabot <umeabot> 5.0.2-2.mga4
+ Revision: 523419
- Mageia 4 Mass Rebuild

* Thu Apr 18 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410418
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394009
- New version 5.0.1 Final

* Sun Jan 27 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392587
- imported package qtwebkit5-examples-and-demos

